
;***************************************************************************
;*                              Moway_enclosed                             *
;***************************************************************************
;*Descripcin:                                                             *
;*Moway est encerrado en un recinto delimitado por lneas del que no sale *
;***************************************************************************
; Fecha: 23/10/2007                                                        *
;***************************************************************************
;***************************************************************************

	list p=16F876A
;*	Definicin de los registros internos del PIC
#include "P16F876A.INC"
;*	Vector de reset
	org		0x00
	goto	INIT
;*	Memoria de programa	*
	org		0x05
;************************
;*	Incluir las libreras de Moway
#include "lib_mot_moway_10.inc"
#include "lib_sen_moway_10.inc"


INIT
	;*************************[CONFIGURACIN DE MOWAY]**********************
	;Se configuran los sensores
	call		SEN_CONFIG
	call		MOT_CONFIG

	;****************************[PROGRAMA PRINCIPAL]***********************
MAIN

	;Se mueve hacia adelante
	movlw		.100
	movwf		MOT_VEL
	movlw		.0
	movwf		MOT_T_DIST_ANG
	bsf			MOT_CON,FWDBACK
	bsf			MOT_CON,COMTYPE
	call		MOT_STR

BUCLE

	;Se comprueba los sensores de linea
	call		SEN_LINE_DIG

	;Si hay un obstaculo en la derecha rota 
	btfsc		SEN_LINE_L,0
	call		LINEA_SI
	
	;Si hay un obstaculo en la izquierda rota  
	btfsc		SEN_LINE_R,0
	call		LINEA_SI

	goto	BUCLE	
				
	;***********************************************************************
LINEA_SI
	;Rotacin a la derecha respecto al centro al 100% de velocidad 108  
	movlw		.100
	movwf		MOT_VEL
	movlw		.30
	movwf		MOT_T_DIST_ANG
	movlw		0x01
	movwf		MOT_CENWHEEL
	bsf			MOT_CON,FWDBACK
	bcf			MOT_CON,COMTYPE
	bsf			MOT_CON,RL
	call		MOT_ROT
	;Hasta que el comando no termine no se hace nada    
	btfss		MOT_END
	goto		$-1

	;Se mueve hacia adelante
	movlw		.100
	movwf		MOT_VEL
	movlw		.0
	movwf		MOT_T_DIST_ANG
	bsf			MOT_CON,FWDBACK
	bsf			MOT_CON,COMTYPE
	call		MOT_STR
	return

	;***********************************************************************
 END
