   //***************************************************************************
   //*                              Moway_enclosed                             *
   //***************************************************************************
   //*Descripcin:                                                             *
   //*Moway est encerrado en un recinto delimitado por lneas del que no sale *
   //***************************************************************************
   // Fecha: 23/10/2007                                                        *
   //***************************************************************************
   //***************************************************************************
   #include <16F876A.h>
   #DEVICE ADC= 8
   #use delay(clock=4000000)

   //***************************[LIBRERAS DE MOWAY]****************************
   #include "lib_mot_moway_10.h"
   #include "lib_sen_moway_10.h"
   //***************************************************************************


   //***************************************************************************
   void main()
   {
   //*************************[CONFIGURACIN DEL PIC]***************************

   //Retardo de 2 segundos
   Delay_ms(2000);

   //Configuracin PIC para utilizar sensores y motores
   SEN_CONFIG();
   MOT_CONFIG();
   //***************************************************************************

   // Primer movimiento recto hacia adelante al 100% de velocidad
   // tiempo ilimitado
   MOT_STR(100,FWD,TIME,0);

   while(1){

   //*************************[BUCLE PRINCIPAL]*********************************
   //Se comprueba los sensores de lnea
   SEN_LINE_DIG();

   //Si encuentra alguna lnea rota
   if(SEN_LINE_R==1 || SEN_LINE_L==1){

      //Rotacin sobre el centro al 100% hacia la derecha 108
      MOT_ROT(100,FWD,CENTER,RIGHT,ANGLE,30);

      //Espera hasta que se termine el movimiento
      while(!input(MOT_END)){}

      //Sigue el movimiento rectilneo
      MOT_STR(100,FWD,TIME,0);
   }

//******************************************************************************

}

//******************************************************************************

}











